Bug 72050 - redhat-config-network-1.1.16-1: cannot activate modem connection
Summary: redhat-config-network-1.1.16-1: cannot activate modem connection
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rcn-modem
TreeView+ depends on / blocked
 
Reported: 2002-08-20 21:33 UTC by Joachim Frieben
Modified: 2007-04-18 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 15:50:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PPP configuration script (403 bytes, text/plain)
2002-08-23 05:28 UTC, Joachim Frieben
no flags Details
redhat-config-network bug (1.26 KB, text/plain)
2003-10-31 02:22 UTC, John Azelvandre
no flags Details

Description Joachim Frieben 2002-08-20 21:33:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
"redhat-config-network-1.1.16-1" is not able to activate an existing modem
connection. The modem is detected correctly, but after setting up the Internet
connection, activating the very same connection does not work.

Version-Release number of selected component (if applicable):
1.1.16-1

How reproducible:
Always

Steps to Reproduce:
1. Launch "redhat-config-network-1.1.16-1".
2. Set up modem and ISP (works fine!).
3. Try to activate the phone line.
	

Actual Results:  None. After some time, the message that the PPP connection
cannot be established is issued. The log file shows:

Aug 17 15:50:56 banach ifup-ppp: pppd started for ppp0 on /dev/ttyS4 at 115200
Aug 17 15:50:56 banach pppd[1518]: pppd 2.4.1 started by root, uid 0
Aug 17 15:50:57 banach pppd[1518]: Connect script failed
Aug 17 15:50:58 banach pppd[1518]: Exit.

Expected Results:  The modem should dial up, and Internet access should work.

Additional info:

The "wvdial.conf" file which has been produced by
"redhat-config-network-1.1.16-1" is correct and works! Dialling up manually as
root via wvdial leads to a working Internet connection. Seems like the interface
from "redhat-config-network-1.1.16-1" to "wvdial" is not set up properly. A
similar bug (#71122) has just been reported for "Limbo". However, in that case,
it is claimed that "redhat-config-network" does even detect the modem which is
quite different from the present case - hence a separate bug report :)

Comment 1 Joachim Frieben 2002-08-20 22:12:36 UTC
However, in that case, it is claimed that "redhat-config-network" does #not#
even detect the modem which is quite different from the present case - hence a
separate bug report :)

Comment 2 Harald Hoyer 2002-08-22 13:18:57 UTC
can you attach your ifcfg-ppp0, please?

Comment 3 Joachim Frieben 2002-08-23 05:28:07 UTC
Created attachment 72484 [details]
PPP configuration script

Comment 4 Norbert Breun 2003-10-14 04:05:28 UTC
this is also true in 1.2.58: modem is activated but not set "active" so one has
to close connection by kill ppp connection.

Comment 5 John Azelvandre 2003-10-31 02:22:30 UTC
Created attachment 95623 [details]
redhat-config-network bug

The same bug?  Activate does not work on existing ppp0.  ppp0 was deleted and
reconfigured.  When apply was hit, the attached bug message was generated.  Had
to kill the app to close it.

Comment 6 John Azelvandre 2003-10-31 02:23:44 UTC
See attachment #95623 [details]


Note You need to log in before you can comment on or make changes to this bug.